@article{Ebrahimnejad,
  author  = {Thimnejad, M. and Fallah, N. and Khoei, A. R.},
  title   = {Adaptive refinement in the meshless finite volume method for elasticity problems},
  journal = {Computers \& Mathematics with Applications},
  year    = {2015},
  volume  = {69},
  number  = {12},
  pages   = {1420--1443},
  doi     = {10.1016/j.camwa.2015.03.023}
}

@article{Sang,
  author  = {Sang‐Hoon, Park and Kie‐Chan, Kwon and Sung-Kie, Youn},
  title   = {A posterior error estimates and an adaptive scheme of least-squares meshfree method},
  journal = {International Journal for Numerical Methods in Engineering},
  year    = {2003},
  volume  = {58},
  number  = {8},
  pages   = {1213--1250},
  doi     = {10.1002/nme.817}
}

@article{Angulo,
  author  = {Angulo, A. and Pozo, L. Pérez and Perazzo, F.},
  title   = {A posteriori error estimator and an adaptive technique in meshless finite points method},
  journal = {Engineering Analysis with Boundary Elements},
  year    = {2009},
  volume  = {33},
  number  = {11},
  pages   = {1322--1338},
  doi     = {10.1016/j.enganabound.2009.06.004}
}


@article{janvcivc2021monomial,
  title     = {Monomial augmentation guidelines for rbf-fd from accuracy versus computational time perspective},
  author    = {Jan{\v{c}}i{\v{c}}, Mitja and Slak, Jure and Kosec, Gregor},
  journal   = {Journal of Scientific Computing},
  volume    = {87},
  number    = {1},
  pages     = {1--18},
  year      = {2021},
  publisher = {Springer}
}

@book{liu2009meshfree,
  title     = {Meshfree methods: moving beyond the finite element method},
  author    = {Liu, Gui-Rong},
  year      = {2009},
  publisher = {CRC press}
}

@article{slak2019generation,
  title     = {On generation of node distributions for meshless PDE discretizations},
  author    = {Slak, Jure and Kosec, Gregor},
  journal   = {SIAM journal on scientific computing},
  volume    = {41},
  number    = {5},
  pages     = {A3202--A3229},
  year      = {2019},
  publisher = {SIAM}
}

@article{slak2021medusa,
  title     = {Medusa: A c++ library for solving pdes using strong form mesh-free methods},
  author    = {Slak, Jure and Kosec, Gregor},
  journal   = {ACM Transactions on Mathematical Software (TOMS)},
  volume    = {47},
  number    = {3},
  pages     = {1--25},
  year      = {2021},
  publisher = {ACM New York, NY, USA}
}

@article{bayona2017role,
  title     = {On the role of polynomials in RBF-FD approximations: II. Numerical solution of elliptic PDEs},
  author    = {Bayona, Victor and Flyer, Natasha and Fornberg, Bengt and Barnett, Gregory A},
  journal   = {Journal of Computational Physics},
  volume    = {332},
  pages     = {257--273},
  year      = {2017},
  publisher = {Elsevier}
}

@book{wendland2004scattered,
  place      = {Cambridge},
  series     = {Cambridge Monographs on Applied and Computational Mathematics},
  title      = {Scattered Data Approximation},
  doi        = {10.1017/CBO9780511617539},
  publisher  = {Cambridge University Press},
  author     = {Wendland, Holger},
  year       = {2004},
  collection = {Cambridge Monographs on Applied and Computational Mathematics}
}

@article{flyer2016role,
  title     = {On the role of polynomials in RBF-FD approximations: I. Interpolation and accuracy},
  author    = {Flyer, Natasha and Fornberg, Bengt and Bayona, Victor and Barnett, Gregory A},
  journal   = {Journal of Computational Physics},
  volume    = {321},
  pages     = {21--38},
  year      = {2016},
  publisher = {Elsevier}
}

@article{bayona2019insight,
  title     = {An insight into RBF-FD approximations augmented with polynomials},
  author    = {Bayona, V{\'\i}ctor},
  journal   = {Computers \& Mathematics with Applications},
  volume    = {77},
  number    = {9},
  pages     = {2337--2353},
  year      = {2019},
  publisher = {Elsevier}
}

@inproceedings{imex,
  author    = {Jančič, Mitja and Strniša, Filip and Kosec, Gregor},
  booktitle = {2022 7th International Conference on Smart and Sustainable Technologies (SpliTech)},
  title     = {Implicit-Explicit Error Indicator based on Approximation Order},
  year      = {2022},
  pages     = {01-04},
  doi       = {10.23919/SpliTech55088.2022.9854342}
}
@article{jacquemin_unified_2021,
  title   = {A unified algorithm for the selection of collocation stencils for convex, concave, and singular problems},
  volume  = {122},
  number  = {16},
  journal = {International Journal for Numerical Methods in Engineering},
  author  = {Jacquemin, Thibault and Bordas, Stéphane P. A.},
  year    = {2021},
  pages   = {4292--4312},
  file    = {Jacquemin and Bordas - 2021 - A unified algorithm for the selection of collocati.pdf:D\:\\5_literature\\Numerical analysis\\adaptivity - Error indicator - stencil selection\\Jacquemin and Bordas - 2021 - A unified algorithm for the selection of collocati.pdf:application/pdf}
}
@article{gonzalez2021error,
  title     = {Error estimation for the polygonal finite element method for smooth and singular linear elasticity},
  author    = {Gonz{\'a}lez-Estrada, Octavio A and Natarajan, Sundararajan and R{\'o}denas, Juan Jos{\'e} and Bordas, St{\'e}phane PA},
  journal   = {Computers \& Mathematics with Applications},
  volume    = {92},
  pages     = {109--119},
  year      = {2021},
  publisher = {Elsevier}
}



@article{kosec_simulation_2014,
  title    = {Simulation of macrosegregation with mesosegregates in binary metallic casts by a meshless method},
  volume   = {45},
  issn     = {09557997},
  url      = {https://linkinghub.elsevier.com/retrieve/pii/S0955799714000290},
  doi      = {10.1016/j.enganabound.2014.01.016},
  language = {en},
  urldate  = {2022-10-11},
  journal  = {Engineering Analysis with Boundary Elements},
  author   = {Kosec, G. and Šarler, B.},
  month    = aug,
  year     = {2014},
  pages    = {36--44},
  file     = {Kosec and Šarler - 2014 - Simulation of macrosegregation with mesosegregates.pdf:D\:\\2_publications\\P_2014_EABE_solidification\\Kosec and Šarler - 2014 - Simulation of macrosegregation with mesosegregates.pdf:application/pdf}
}

@article{maksic_cooling_2019,
  title    = {Cooling of overhead power lines due to the natural convection},
  volume   = {113},
  issn     = {01420615},
  url      = {https://linkinghub.elsevier.com/retrieve/pii/S0142061518340055},
  doi      = {10.1016/j.ijepes.2019.05.005},
  language = {en},
  urldate  = {2022-10-11},
  journal  = {International Journal of Electrical Power \& Energy Systems},
  author   = {Maksić, M. and Djurica, V. and Souvent, A. and Slak, J. and Depolli, M. and Kosec, G.},
  month    = dec,
  year     = {2019},
  pages    = {333--343},
  file     = {Maksić et al. - 2019 - Cooling of overhead power lines due to the natural.pdf:D\:\\2_publications\\P_2019_NaturalConvection_JEPES\\Maksić et al. - 2019 - Cooling of overhead power lines due to the natural.pdf:application/pdf}
}

@article{jacquemin_smart_2023,
  title      = {Smart {Cloud} {Collocation}: {Geometry}-{Aware} {Adaptivity} {Directly} {From} {CAD}},
  volume     = {154},
  issn       = {00104485},
  shorttitle = {Smart {Cloud} {Collocation}},
  url        = {https://linkinghub.elsevier.com/retrieve/pii/S0010448522001427},
  doi        = {10.1016/j.cad.2022.103409},
  language   = {en},
  urldate    = {2022-10-10},
  journal    = {Computer-Aided Design},
  author     = {Jacquemin, Thibault and Suchde, Pratik and Bordas, Stéphane P.A.},
  month      = jan,
  year       = {2023},
  pages      = {103409},
  file       = {Jacquemin et al. - 2023 - Smart Cloud Collocation Geometry-Aware Adaptivity.pdf:D\:\\5_literature\\Numerical analysis\\Domain discretisation\\Jacquemin et al. - 2023 - Smart Cloud Collocation Geometry-Aware Adaptivity.pdf:application/pdf}
}


@article{suchde_point_2022,
  title      = {Point {Cloud} {Generation} for {Meshfree} {Methods}: {An} {Overview}},
  issn       = {1134-3060, 1886-1784},
  shorttitle = {Point {Cloud} {Generation} for {Meshfree} {Methods}},
  url        = {https://link.springer.com/10.1007/s11831-022-09820-w},
  doi        = {10.1007/s11831-022-09820-w},
  language   = {en},
  urldate    = {2022-10-10},
  journal    = {Archives of Computational Methods in Engineering},
  author     = {Suchde, Pratik and Jacquemin, Thibault and Davydov, Oleg},
  month      = sep,
  year       = {2022},
  file       = {Suchde et al. - 2022 - Point Cloud Generation for Meshfree Methods An Ov.pdf:D\:\\5_literature\\Numerical analysis\\Domain discretisation\\Suchde et al. - 2022 - Point Cloud Generation for Meshfree Methods An Ov.pdf:application/pdf}
}

@article{slak2019adaptive,
  title     = {Adaptive radial basis function--generated finite differences method for contact problems},
  author    = {Slak, Jure and Kosec, Gregor},
  journal   = {International Journal for Numerical Methods in Engineering},
  volume    = {119},
  number    = {7},
  pages     = {661--686},
  year      = {2019},
  publisher = {Wiley Online Library}
}

@article{kosec_weak_2019,
  title   = {Weak and strong from meshless methods for linear elastic problem under fretting contact conditions},
  volume  = {138},
  journal = {Tribology International},
  author  = {Kosec, Gregor and Slak, Jure and Depolli, Matja and Trobec, Roman and Pereira, Kyvia and Tomar, Satyendra and Jacquemin, Thibault and Bordas, Stéphane PA and Wahab, Magd Abdel},
  year    = {2019},
  note    = {Publisher: Elsevier},
  pages   = {392--402}
}

@article{depolli_parallel_2022,
  title   = {Parallel domain discretization algorithm for {RBF}-{FD} and other meshless numerical methods for solving {PDEs}},
  volume  = {264},
  journal = {Computers \& Structures},
  author  = {Depolli, Matjaž and Slak, Jure and Kosec, Gregor},
  year    = {2022},
  note    = {Publisher: Elsevier},
  pages   = {106773}
}

@misc{eigenweb,
  author       = {Ga\"{e}l Guennebaud and Beno\^{i}t Jacob and others},
  title        = {Eigen v3},
  howpublished = {\url{http://eigen.tuxfamily.org}},
  year         = {2010}
}

@article{davydov2011adaptive,
  title     = {Adaptive meshless centres and RBF stencils for Poisson equation},
  author    = {Davydov, Oleg and Oanh, Dang Thi},
  journal   = {Journal of Computational Physics},
  volume    = {230},
  number    = {2},
  pages     = {287--304},
  year      = {2011},
  publisher = {Elsevier}
}

@article{davydov2022improved,
  title   = {Improved stencil selection for meshless finite difference methods in 3d},
  author  = {Davydov, Oleg and Oanh, Dang Thi and Tuong, Ngo Manh},
  journal = {arXiv preprint arXiv:2202.06426},
  year    = {2022}
}

@inproceedings{jancic_p_refined,
  author    = {Jančič, Mitja and Slak, Jure and Kosec, Gregor},
  booktitle = {2021 6th International Conference on Smart and Sustainable Technologies (SpliTech)},
  title     = {p-refined RBF-FD solution of a Poisson problem},
  year      = {2021},
  volume    = {},
  number    = {},
  pages     = {01-06},
  doi       = {10.23919/SpliTech52315.2021.9566401}
}

@article{davydov2017convergence,
  title     = {Convergence study of the h-adaptive PUM and the hp-adaptive FEM applied to eigenvalue problems in quantum mechanics},
  author    = {Davydov, Denis and Gerasimov, Tymofiy and Pelteret, Jean-Paul and Steinmann, Paul},
  journal   = {Advanced Modeling and Simulation in Engineering Sciences},
  volume    = {4},
  number    = {1},
  pages     = {1--23},
  year      = {2017},
  publisher = {SpringerOpen}
}

@article{daniel2018adaptive,
  title     = {An adaptive hp-refinement strategy with computable guaranteed bound on the error reduction factor},
  author    = {Daniel, Patrik and Ern, Alexandre and Smears, Iain and Vohral{\'\i}k, Martin},
  journal   = {Computers \& Mathematics with Applications},
  volume    = {76},
  number    = {5},
  pages     = {967--983},
  year      = {2018},
  publisher = {Elsevier}
}

@article{oanh2022approach,
  title     = {An approach to adaptive refinement for the RBF-FD method for 2D elliptic equations},
  author    = {Oanh, Dang Thi and Tuong, Ngo Manh},
  journal   = {Applied Numerical Mathematics},
  volume    = {178},
  pages     = {123--154},
  year      = {2022},
  publisher = {Elsevier}
}

@article{mitchell2014comparison,
  title     = {A comparison of hp-adaptive strategies for elliptic partial differential equations},
  author    = {Mitchell, William F and McClain, Marjorie A},
  journal   = {ACM Transactions on Mathematical Software (TOMS)},
  volume    = {41},
  number    = {1},
  pages     = {1--39},
  year      = {2014},
  publisher = {ACM New York, NY, USA}
}

@article{upadhyay2021numerical,
  title     = {Numerical analysis perspective in structural shape optimization: A review post 2000},
  author    = {Upadhyay, Bhavik D and Sonigra, Sunil S and Daxini, Sachin D},
  journal   = {Advances in Engineering Software},
  volume    = {155},
  pages     = {102992},
  year      = {2021},
  publisher = {Elsevier}
}

@article{SEGETH20101589,
  title    = {A review of some a posteriori error estimates for adaptive finite element methods},
  journal  = {Mathematics and Computers in Simulation},
  volume   = {80},
  number   = {8},
  pages    = {1589-1600},
  year     = {2010},
  note     = {ESCO 2008 Conference},
  issn     = {0378-4754},
  doi      = {https://doi.org/10.1016/j.matcom.2008.12.019},
  url      = {https://www.sciencedirect.com/science/article/pii/S0378475408004230},
  author   = {Karel Segeth},
  keywords = {-adaptive finite element method, A posteriori error estimators, Computational error estimates}
}

@book{liu2005introduction,
  title     = {An introduction to meshfree methods and their programming},
  author    = {Liu, Gui-Rong and Gu, Yuan-Tong},
  year      = {2005},
  publisher = {Springer Science \& Business Media}
}

@book{liu2002mesh,
  author    = {Liu, Gui-Rong},
  doi       = {10.1201/9781420040586},
  publisher = {CRC press},
  title     = {Mesh free methods: moving beyond the finite element method},
  year      = {2002}
}

@article{belytschko1996meshless,
  title     = {Meshless methods: an overview and recent developments},
  author    = {Belytschko, Ted and Krongauz, Yury and Organ, Daniel and Fleming, Mark and Krysl, Petr},
  journal   = {Computer methods in applied mechanics and engineering},
  volume    = {139},
  number    = {1-4},
  pages     = {3--47},
  year      = {1996},
  publisher = {Elsevier}
}

@book{zienkiewicz2005finite,
  title     = {The finite element method: its basis and fundamentals},
  author    = {Zienkiewicz, Olek C and Taylor, Robert L and Zhu, Jian Z},
  year      = {2005},
  publisher = {Elsevier}
}

@article{jensen1972finite,
  title     = {Finite difference techniques for variable grids},
  author    = {Jensen, Paul S},
  journal   = {Computers \& Structures},
  volume    = {2},
  number    = {1-2},
  pages     = {17--29},
  year      = {1972},
  publisher = {Elsevier}
}

@article{liszka1980finite,
  title     = {The finite difference method at arbitrary irregular grids and its application in applied mechanics},
  author    = {Liszka, Tadeusz and Orkisz, Janusz},
  journal   = {Computers \& Structures},
  volume    = {11},
  number    = {1-2},
  pages     = {83--95},
  year      = {1980},
  publisher = {Elsevier}
}

@article{onate1996finite,
  title     = {A finite point method in computational mechanics. Applications to convective transport and fluid flow},
  author    = {O{\~n}ate, Eugenio and Idelsohn, Sergio and Zienkiewicz, OC and Taylor, RL14177920884},
  journal   = {International journal for numerical methods in engineering},
  volume    = {39},
  number    = {22},
  pages     = {3839--3866},
  year      = {1996},
  publisher = {Wiley Online Library}
}

@article{prax1996diffuse,
  title     = {Diffuse approximation method for solving natural convection in porous media},
  author    = {Prax, C and Sadat, H and Salagnac, Patrick},
  journal   = {Transport in Porous Media},
  volume    = {22},
  number    = {2},
  pages     = {215--223},
  year      = {1996},
  publisher = {Springer}
}

@article{kansa1990multiquadrics,
  title     = {Multiquadrics—A scattered data approximation scheme with applications to computational fluid-dynamics—II solutions to parabolic, hyperbolic and elliptic partial differential equations},
  author    = {Kansa, Edward J},
  journal   = {Computers \& mathematics with applications},
  volume    = {19},
  number    = {8-9},
  pages     = {147--161},
  year      = {1990},
  publisher = {Elsevier}
}

@article{franke1998solving,
  title     = {Solving partial differential equations by collocation using radial basis functions},
  author    = {Franke, Carsten and Schaback, Robert},
  journal   = {Applied Mathematics and Computation},
  volume    = {93},
  number    = {1},
  pages     = {73--82},
  year      = {1998},
  publisher = {Elsevier}
}

@article{zhang2000meshless,
  title     = {Meshless methods based on collocation with radial basis functions},
  author    = {Zhang, Xiong and Song, Kang Zhu and Lu, Ming Wan and Liu, X},
  journal   = {Computational mechanics},
  volume    = {26},
  number    = {4},
  pages     = {333--343},
  year      = {2000},
  publisher = {Springer}
}

@article{shankar2018robust,
  title     = {Robust node generation for mesh-free discretizations on irregular domains and surfaces},
  author    = {Shankar, Varun and Kirby, Robert M and Fogelson, Aaron L},
  journal   = {SIAM Journal on Scientific Computing},
  volume    = {40},
  number    = {4},
  pages     = {A2584--A2608},
  year      = {2018},
  publisher = {SIAM}
}

@article{hardin2004discretizing,
  title   = {Discretizing manifolds via minimum energy points},
  author  = {Hardin, Doug P and Saff, Edward B and others},
  journal = {Notices of the AMS},
  volume  = {51},
  number  = {10},
  pages   = {1186--1194},
  year    = {2004}
}

@article{liu2010node,
  title   = {Node placement method by bubble simulation and its application},
  author  = {Liu, Ying and Nie, Yufeng and Zhang, Weiwei and Wang, Lei},
  journal = {Computer Modeling in Engineering and Sciences (CMES)},
  volume  = {55},
  number  = {1},
  pages   = {89},
  year    = {2010}
}

@article{fornberg2015fast,
  title     = {Fast generation of 2-D node distributions for mesh-free PDE discretizations},
  author    = {Fornberg, Bengt and Flyer, Natasha},
  journal   = {Computers \& Mathematics with Applications},
  volume    = {69},
  number    = {7},
  pages     = {531--544},
  year      = {2015},
  publisher = {Elsevier}
}

@article{lohner2004general,
  title     = {A general advancing front technique for filling space with arbitrary objects},
  author    = {L{\"o}hner, Rainald and O{\~n}ate, Eugenio},
  journal   = {International journal for numerical methods in engineering},
  volume    = {61},
  number    = {12},
  pages     = {1977--1991},
  year      = {2004},
  publisher = {Wiley Online Library}
}

@inproceedings{choi1999node,
  title     = {Node generation scheme for meshfree method by Voronoi diagram and weighted bubble packing},
  author    = {Choi, Y and Kim, S},
  booktitle = {Fifth us national congress on computational mechanics, Boulder, CO},
  year      = {1999}
}

@article{duh2021fast,
  title     = {Fast variable density node generation on parametric surfaces with application to mesh-free methods},
  author    = {Duh, Urban and Kosec, Gregor and Slak, Jure},
  journal   = {SIAM Journal on Scientific Computing},
  volume    = {43},
  number    = {2},
  pages     = {A980--A1000},
  year      = {2021},
  publisher = {SIAM}
}

@article{oanh2017adaptive,
  title     = {Adaptive RBF-FD method for elliptic problems with point singularities in 2D},
  author    = {Oanh, Dang Thi and Davydov, Oleg and Phu, Hoang Xuan},
  journal   = {Applied Mathematics and Computation},
  volume    = {313},
  pages     = {474--497},
  year      = {2017},
  publisher = {Elsevier}
}


@article{burg2011convergence,
  title     = {Convergence of an adaptive hp finite element strategy in higher space-dimensions},
  author    = {B{\"u}rg, Markus and D{\"o}rfler, Willy},
  journal   = {Applied numerical mathematics},
  volume    = {61},
  number    = {11},
  pages     = {1132--1146},
  year      = {2011},
  publisher = {Elsevier}
}

@article{kosec2011h,
  title   = {H-adaptive local radial basis function collocation meshless method},
  author  = {Kosec, Gregor and {\v{S}}arler, B},
  journal = {Computers Materials and Continua},
  volume  = {26},
  number  = {3},
  pages   = {227},
  year    = {2011}
}

@article{benito2003h,
  title     = {An h-adaptive method in the generalized finite differences},
  author    = {Benito, JJ and Urena, F and Gavete, L and Alvarez, R},
  journal   = {Computer methods in applied mechanics and engineering},
  volume    = {192},
  number    = {5-6},
  pages     = {735--759},
  year      = {2003},
  publisher = {Elsevier}
}

@article{liu2006stabilized,
  title     = {A stabilized least-squares radial point collocation method (LS-RPCM) for adaptive analysis},
  author    = {Liu, GR and Kee, Bernard BT and Chun, Lu},
  journal   = {Computer methods in applied mechanics and engineering},
  volume    = {195},
  number    = {37-40},
  pages     = {4843--4861},
  year      = {2006},
  publisher = {Elsevier}
}

@article{hu2019spatially,
  title     = {A spatially adaptive high-order meshless method for fluid--structure interactions},
  author    = {Hu, Wei and Trask, Nathaniel and Hu, Xiaozhe and Pan, Wenxiao},
  journal   = {Computer Methods in Applied Mechanics and Engineering},
  volume    = {355},
  pages     = {67--93},
  year      = {2019},
  publisher = {Elsevier}
}

@article{cavoretto2019adaptive,
  title     = {Adaptive meshless refinement schemes for RBF-PUM collocation},
  author    = {Cavoretto, Roberto and De Rossi, Alessandra},
  journal   = {Applied Mathematics Letters},
  volume    = {90},
  pages     = {131--138},
  year      = {2019},
  publisher = {Elsevier}
}

@phdthesis{fan2019adaptive,
  title  = {Adaptive meshless point collocation methods: investigation and application to geometrically non-linear solid mechanics},
  author = {Fan, Lei},
  year   = {2019},
  school = {Durham University}
}

@article{mishra2020adaptive,
  title   = {Adaptive radial basis function generated finite-difference (RBF-FD) on non-uniform nodes using $ p $-refinement},
  author  = {Mishra, Pankaj K and Ling, Leevan and Liu, Xin and Sen, Mrinal K},
  journal = {arXiv preprint arXiv:2004.06319},
  year    = {2020}
}

@article{kosec2018rbf,
  title     = {RBF-FD based dynamic thermal rating of overhead power lines},
  author    = {Kosec, Gregor and Slak, Jure and Hern{\'a}ndez, S and {\v{S}}kerget, L and Ravnik, J},
  journal   = {Advances in fluid mechanics XII},
  volume    = {120},
  pages     = {255--262},
  year      = {2018},
  publisher = {WIT Press}
}

@article{gui1986h,
  title     = {The h, p and hp versions of the finite element method in 1 dimension. Part II. The error analysis of the h and hp versions},
  author    = {Gui, W-Z and Babu{\v{s}}ka, Ivo},
  journal   = {Numerische Mathematik},
  volume    = {49},
  number    = {6},
  pages     = {613--657},
  year      = {1986},
  publisher = {Springer-Verlag Berlin, Heidelberg}
}

@techreport{gui1985h,
  title       = {The h, p and hp Versions of the Finite Element Method in 1 Dimension. Part 3. The Adaptive hp Version.},
  author      = {Gui, Wen-zhuang and Babuska, I},
  year        = {1985},
  institution = {MARYLAND UNIV COLLEGE PARK LAB FOR NUMERICAL ANALYSIS}
}

@article{milewski2021higher,
  title     = {Higher order schemes introduced to the meshless FDM in elliptic problems},
  author    = {Milewski, S{\l}awomir},
  journal   = {Engineering Analysis with Boundary Elements},
  volume    = {131},
  pages     = {100--117},
  year      = {2021},
  publisher = {Elsevier}
}

@article{albuquerque2021generalized,
  title     = {The generalized finite difference method with third-and fourth-order approximations and treatment of ill-conditioned stars},
  author    = {Albuquerque-Ferreira, AC and Ure{\~n}a, Miguel and Ramos, Higinio},
  journal   = {Engineering Analysis with Boundary Elements},
  volume    = {127},
  pages     = {29--39},
  year      = {2021},
  publisher = {Elsevier}
}

@article{zienkiewicz1987simple,
  title     = {A simple error estimator and adaptive procedure for practical engineerng analysis},
  author    = {Zienkiewicz, Olgierd C and Zhu, Jian Z},
  journal   = {International journal for numerical methods in engineering},
  volume    = {24},
  number    = {2},
  pages     = {337--357},
  year      = {1987},
  publisher = {Wiley Online Library}
}

@article{park2003posteriori,
  title     = {A posteriori error estimates and an adaptive scheme of least-squares meshfree method},
  author    = {Park, Sang-Hoon and Kwon, Kie-Chan and Youn, Sung-Kie},
  journal   = {International Journal for Numerical Methods in Engineering},
  volume    = {58},
  number    = {8},
  pages     = {1213--1250},
  year      = {2003},
  publisher = {Wiley Online Library}
}

@article{afshar2011node,
  title     = {Node moving adaptive refinement strategy for planar elasticity problems using discrete least squares meshless method},
  author    = {Afshar, MH and Naisipour, M and Amani, J},
  journal   = {Finite Elements in Analysis and Design},
  volume    = {47},
  number    = {12},
  pages     = {1315--1325},
  year      = {2011},
  publisher = {Elsevier}
}

@article{eibner2007adaptive,
  title     = {An adaptive strategy for hp-FEM based on testing for analyticity},
  author    = {Eibner, Tino and Melenk, Jens Markus},
  journal   = {Computational Mechanics},
  volume    = {39},
  number    = {5},
  pages     = {575--595},
  year      = {2007},
  publisher = {Springer}
}

@article{tolstykh2003using,
  title     = {On using radial basis functions in a “finite difference mode” with applications to elasticity problems},
  author    = {Tolstykh, AI and Shirobokov, DA},
  journal   = {Computational Mechanics},
  volume    = {33},
  number    = {1},
  pages     = {68--79},
  year      = {2003},
  publisher = {Springer}
}

@book{wright2003radial,
  title     = {Radial basis function interpolation: numerical and analytical developments},
  author    = {Wright, Grady Barrett},
  year      = {2003},
  publisher = {University of Colorado at Boulder}
}

@article{wakeni2021p,
  title     = {A p-adaptive, implicit-explicit mixed finite element method for diffusion-reaction problems},
  author    = {Wakeni, Mebratu F and Aggarwal, Ankush and Kaczmarczyk, Lukasz and McBride, Andrew T and Athanasiadis, Ignatios and Pearce, Chris J and Steinmann, Paul},
  journal   = {International Journal for Numerical Methods in Engineering},
  year      = {2022},
  publisher = {Wiley Online Library}
}

@article{demkowicz2002fully,
  title     = {A fully automatic hp-adaptivity},
  author    = {Demkowicz, Leszek and Rachowicz, Waldemar and Devloo, Ph},
  journal   = {Journal of Scientific Computing},
  volume    = {17},
  number    = {1},
  pages     = {117--142},
  year      = {2002},
  publisher = {Springer}
}

@article{devloo12recent,
  title  = {Recent Developments in hp Adaptive Refinement},
  author = {Devloo12, Philippe RB and Bravo, Cedric MAA and Rylo, Edimar C}
}

@article{pereira2016on,
  author  = {Pereira, Kyvia and Bordas, Stephane and Tomar, Satyendra and Trobec, Roman and Depolli, Matjaz and Kosec, Gregor and Abdel Wahab, Magd},
  title   = {{On the Convergence of Stresses in Fretting Fatigue}},
  journal = {Materials},
  year    = {2016},
  volume  = {9},
  number  = {8},
  pages   = {639},
  month   = {Jul},
  issn    = {1996-1944},
  doi     = {10.3390/ma9080639}
}
@book{trobec_parallel_2015,
  title     = {Parallel scientific computing: theory, algorithms, and applications of mesh based and meshless methods},
  publisher = {Springer},
  author    = {Trobec, Roman and Kosec, Gregor},
  year      = {2015}
}

@inbook{Slaughter_2002,
  author    = {Slaughter, William S.},
  title     = {Three-Dimensional Problems},
  booktitle = {The Linearized Theory of Elasticity},
  year      = {2002},
  publisher = {Birkh{\"a}user Boston},
  address   = {Boston, MA},
  pages     = {331--386},
  abstract  = {Although the solution to some simple three-dimensional problems in linearized elasticity have been presented (e.g., spherical pressure vessels), the focus so far has been on special classes of problems for which the equations of elasticity could be reduced to a two-dimensional form. Some additional three-dimensional problems of interest will now be considered.},
  isbn      = {978-1-4612-0093-2},
  doi       = {10.1007/978-1-4612-0093-2_9},
  url       = {https://doi.org/10.1007/978-1-4612-0093-2_9}
}

@inproceedings{jancichybrid,
  author    = {Jančič, Mitja and Kosec, Gregor},
  booktitle = {2022 7th International Conference on Smart and Sustainable Technologies (SpliTech)},
  title     = {A hybrid RBF-FD and WLS mesh-free strong-form approximation method},
  year      = {2022},
  volume    = {},
  number    = {},
  pages     = {1-6},
  doi       = {10.23919/SpliTech55088.2022.9854278}
}

@article{van2021fast,
  title     = {Fast variable density 3-D node generation},
  author    = {van der Sande, Kiera and Fornberg, Bengt},
  journal   = {SIAM Journal on Scientific Computing},
  volume    = {43},
  number    = {1},
  pages     = {A242--A257},
  year      = {2021},
  publisher = {SIAM}
}


@article{guo1986hp,
  title     = {The hp version of the finite element method},
  author    = {Guo, B and Babu{\v{s}}ka, Ivo},
  journal   = {Computational Mechanics},
  volume    = {1},
  number    = {1},
  pages     = {21--41},
  year      = {1986},
  publisher = {Springer}
}

@article{houston2005note1,
  title     = {A note on the design of hp-adaptive finite element methods for elliptic partial differential equations},
  author    = {Houston, Paul and S{\"u}li, Endre},
  journal   = {Computer Methods in Applied Mechanics and Engineering},
  volume    = {194},
  number    = {2-5},
  pages     = {229--243},
  year      = {2005},
  publisher = {Elsevier}
}

@incollection{houston2005note,
  title     = {Sobolev regularity estimation for hp-adaptive finite element methods},
  author    = {Houston, Paul and Senior, Bill and S{\"u}li, Endre},
  booktitle = {Numerical mathematics and advanced applications},
  pages     = {631--656},
  year      = {2003},
  publisher = {Springer}
}

@article{rachowicz2006fully,
  title     = {Fully automatic hp-adaptivity in three dimensions},
  author    = {Rachowicz, W and Pardo, D and Demkowicz, L},
  journal   = {Computer methods in applied mechanics and engineering},
  volume    = {195},
  number    = {37-40},
  pages     = {4816--4842},
  year      = {2006},
  publisher = {Elsevier}
}

@incollection{tinsley1995three,
  title     = {Three-step hp adaptive strategy for the incompressible Navier-Stokes equations},
  author    = {Tinsley Oden, J and Wu, Weihan and Ainsworth, Mark},
  booktitle = {Modeling, mesh generation, and adaptive numerical methods for partial differential equations},
  pages     = {347--366},
  year      = {1995},
  publisher = {Springer}
}

@article{ainsworth1997aspects,
  title     = {Aspects of an adaptive hp-finite element method: Adaptive strategy, conforming approximation and efficient solvers},
  author    = {Ainsworth, Mark and Senior, Bill},
  journal   = {Computer Methods in Applied Mechanics and Engineering},
  volume    = {150},
  number    = {1-4},
  pages     = {65--87},
  year      = {1997},
  publisher = {Elsevier}
}

@article{mitchell2016performance,
  title  = {Performance of hp-adaptive strategies for 3d elliptic problems},
  author = {Mitchell, William F},
  year   = {2016}
}

@article{jin2017error,
  title     = {Error-controlled adaptive extended finite element method for 3D linear elastic crack propagation},
  author    = {Jin, Yi and Gonz{\'a}lez-Estrada, OA and Pierard, O and Bordas, SPA3627181},
  journal   = {Computer methods in applied mechanics and engineering},
  volume    = {318},
  pages     = {319--348},
  year      = {2017},
  publisher = {Elsevier}
}

@article{liszka1996hp,
  title     = {hp-Meshless cloud method},
  author    = {Liszka, TJ and Duarte, CAM and Tworzydlo, WW0893},
  journal   = {Computer Methods in Applied Mechanics and Engineering},
  volume    = {139},
  number    = {1-4},
  pages     = {263--288},
  year      = {1996},
  publisher = {Elsevier}
}

@article{duarte1996hp,
  title     = {An hp adaptive method using clouds},
  author    = {Duarte, C Armando and Oden, J Tinsley},
  journal   = {Computer methods in applied mechanics and engineering},
  volume    = {139},
  number    = {1-4},
  pages     = {237--262},
  year      = {1996},
  publisher = {Elsevier}
}

@article{toth2022h,
  title     = {h-Adaptive radial basis function finite difference method for linear elasticity problems},
  author    = {T{\'o}th, Bal{\'a}zs and D{\"u}ster, Alexander},
  journal   = {Computational Mechanics},
  pages     = {1--20},
  year      = {2022},
  publisher = {Springer}
}
@article{heuer2001hp,
  title     = {hp-adaptive two-level methods for boundary integral equations on curves},
  author    = {Heuer, Norbert and Mellado, Mario E and Stephan, Ernst P},
  journal   = {Computing},
  volume    = {67},
  number    = {4},
  pages     = {305--334},
  year      = {2001},
  publisher = {Springer}
}

@article{tominec,
  author  = {Tominec, Igor and Larsson, Elisabeth and Heryudono, Alfa},
  title   = {A Least Squares Radial Basis Function Finite Difference Method with Improved Stability Properties},
  journal = {SIAM Journal on Scientific Computing},
  volume  = {43},
  number  = {2},
  pages   = {A1441-A1471},
  year    = {2021},
  doi     = {10.1137/20M1320079},
  url     = { 
             
             https://doi.org/10.1137/20M1320079
             
             
             
             },
  eprint  = { 
             
             https://doi.org/10.1137/20M1320079
             
             
             
             }
}

@inbook{sirca2018,
  author    = {{\v{S}}irca, Simon
               and Horvat, Martin},
  title     = {Matrix Methods},
  booktitle = {Computational Methods in Physics: Compendium for Students},
  year      = {2018},
  publisher = {Springer International Publishing},
  address   = {Cham},
  pages     = {121--186},
  isbn      = {978-3-319-78619-3},
  doi       = {10.1007/978-3-319-78619-3_3},
  url       = {https://doi.org/10.1007/978-3-319-78619-3_3}
}

@article{bayona2019comparison,
  title     = {Comparison of moving least squares and RBF+ poly for interpolation and derivative approximation},
  author    = {Bayona, V{\'\i}ctor},
  journal   = {Journal of Scientific Computing},
  volume    = {81},
  number    = {1},
  pages     = {486--512},
  year      = {2019},
  publisher = {Springer}
}

@article{DAVYDOV2023115031,
  title    = {Improved stencil selection for meshless finite difference methods in 3D},
  journal  = {Journal of Computational and Applied Mathematics},
  volume   = {425},
  pages    = {115031},
  year     = {2023},
  issn     = {0377-0427},
  doi      = {https://doi.org/10.1016/j.cam.2022.115031},
  url      = {https://www.sciencedirect.com/science/article/pii/S037704272200629X},
  author   = {Oleg Davydov and Dang Thi Oanh and Ngo Manh Tuong},
  keywords = {RBF-FD, Meshless finite difference method, Generalized finite differences},
}